# Class CIM_IndicationHandler
extends CIM_ListenerDestination

CIM_IndicationHandler is an abstract superclass describing how an Indication is to be processd/delivered/'handled'. This may define a destination and protocol for delivering Indications, or it may define a process to invoke. This class is derived from CIM_ManagedElement to allow modeling the dependency of the Handler on a specific service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ListenerDestination
|
+--CIM_IndicationHandler

## Direct Known Subclasses

CIM_IndicationHandlerCIMXML

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Deprecated | string | CIM_ListenerDestination
Description | string | CIM_IndicationHandler is an abstract superclass describing how an Indication is to be processd/delivered/'handled'. This may define a destination and protocol for delivering Indications, or it may define a process to invoke. This class is derived from CIM_ManagedElement to allow modeling the dependency of the Handler on a specific service.
UMLPackagePath | string | CIM::Event
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Owner | string |
Deprecated | string | No value
Description | string | The name of the entity that created and/or maintains this Handler.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_ListenerDestination
Description | string | CIM_ManagedElement
Destination | string | CIM_ListenerDestination
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ListenerDestination
OtherPersistenceType | string | CIM_ListenerDestination
OtherProtocol | string | CIM_ListenerDestination
PersistenceType | uint16 | CIM_ListenerDestination
Protocol | uint16 | CIM_ListenerDestination
SystemCreationClassName | string | CIM_ListenerDestination
SystemName | string | CIM_ListenerDestination

## Class Methods